<?php

$r = "../";
$code=$_GET['code'];
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);
if(isset($_GET['code'])) {
    $infopedido = $mysqli->query("SELECT * FROM z_pedidos WHERE codigopedido='$code' AND estado!='0'");
    while($datapedido = $infopedido->fetch_assoc()) {
        $codigo=$datapedido['codigopedido'];
        $abono=$datapedido['abono'];
        $fecha=$datapedido['fecha'];
        $idcliente=$datapedido['idcliente'];
        $adicional=$datapedido['adicional'];
        $rutero=$datapedido['idrutero'];
        $pago=$datapedido['pago'];
    }
    $linea="\n- - - - - - - - - - - - - - - - - - - - - - - - ";

    $inforutero=srute($rutero);
    $infocliente=sclien($idcliente);
    if($infocliente['tipocliente']==1){$tipocliente="S";}
    elseif($cliente['tipocliente']==2){$tipocliente="D";}
    else{$tipocliente="O";}
    $city=scity($infocliente['municipio']);

 
//encabezado factura

$a="                TIQUETE DE SALIDA\n";
$a.="                     BOGOTA\n";
// decripcion del cliente y factura
$a.="\nTIQUETE DE SALIDA N°.: ";
$a.=$codigo;
$a.="\nFecha: ";
$a.=$fecha;
$a.="\nCliente: ";
$sunmobre=substr("$nomcliente", 0, 45);
$sunmobre2=substr("$nomcliente", 45, 30);
$a.=$sunmobre;
$a.=$sunmobre2;
$a.="\nDirección: ";
$a.=$dircliente;
$a.="\nCiudad: ";
$a.=$city['municipio'];
$a.="\nTeléfono: ";
$a.=$telcliente;
$a.="\nNIT y/o Cédula: ";
$a.=$nitcliente.' '.$tipocliente;
$a.="\nRutero: ";
$a.=$rute['nombre'];
//ENCABEZADO FACTURA
$a.=$linea;
$a.="\nNOMBRE PRODUCTO              UNDS    VALOR";
$a.="$linea";
$row1 = $mysqli->query("SELECT * FROM z_pedido WHERE z_pedido.codigopedido='$code'");
while($row2 = $row1->fetch_assoc()) {
    $idproducto=$row2['idproducto'];
    $cantidad=$row2['cantidad'];
    $bono=$row2['bono'];
    $bonos=$bonos+$bono;
    $precio=$row2['precio'];
    $producto=sprod($idproducto);
    $nomprod=$producto['producto'];
    $codprod=$producto['codigo'];
    $total=$precio*$cantidad;
    $totalitems=$totalitems+$cantidad;
    $subtotal=$subtotal+$total;
    $des=$row2['descuento'];
    $descu=($precio*$des)/100;
    $preciodes=$precio-$descu;
    $totaldes=$preciodes*$cantidad;
    $subtotaldes=$subtotaldes+$totaldes;
    $desc=$total-$totaldes;
    $descuen=$desc+$descuen;
    $nombresub=substr("$nomprod", 0, 20);
    // imprecion
       // $a.=substr("$codprod", 0, 5);
    $num=strlen($nombresub);
    $num=30-$num;
    $eps="";
    for($i=0;$num>=$i;$i++){
        $eps.=" ";
    }
    $a.="\n".$nombresub.$eps.$cantidad."   ";
    $a.='$ '.number_format($totaldes);
    if($bono>0){
        $a.="\n".substr("$codprod", 0, 5);
    $a.="\n".$nombresub." ";
    $a.="\nbono";
    $a.="\nBONO";}
    
    
}
$a.=$linea;
    $a.="\nSUB TOTAL :                         ";
    $a.='$ '.number_format($subtotal);
    $a.="\nADICIONALES:                        ";
    $a.='$ '.number_format($adicional);
    $a.="\nTOTAL A PAGAR:                      ";
    $a.='$ '.number_format($subtotaldes+$adicional);

    $a.=$linea;
  
$a.="\n           Favor verificar su cambio";
$a.="\n             Gracias por su pedido";
$a.="\n     No se admiten reclamaciones después de";
$a.="\n            entregado el producto";
$a.="\n      conservar este recibo para reclamos";
$a.="\n\n               EL TIEMPO LO ES TODO";

$a.=$linea;
}
//you can print text and image by sending request from your website
$b = array();
//sending text entry	
$obj1->type = 0;//text
$obj1->content = "$a";//any string
$obj1->size = 0;//0 if no, 1 if yes
$obj1->bold = 0;//0 if no, 1 if yes
$obj1->align =0;//0 if left, 1 if center, 2 if right
$obj1->format = 0;//0 if normal, 1 if double Height, 2 if double Height + Width, 3 if double Width
array_push($b,$obj1);
echo json_encode($b,JSON_FORCE_OBJECT);
//Note that same sequence will be used for printing data
?>
